load('../elipot_results/ke_drifters.mat')

lowf_drouged = sum(mz5,3);
near_inertial_drouged = mz9;
semi_drouged = mz7(:,:,2);
diurnal_drouged = mz7(:,:,1);

lowf_undrouged = sum(mz6,3);
near_inertial_undrouged = mz10;
semi_undrouged = mz8(:,:,2);
diurnal_undrouged = mz8(:,:,1);

lon = xmid5;
lat = ymid5;

lowf_drouged_avg = zeros(length(lat), 1);
near_inertial_drouged_avg = zeros(length(lat), 1);
semi_drouged_avg = zeros(length(lat), 1);
diurnal_drouged_avg = zeros(length(lat), 1);

lowf_undrouged_avg = zeros(length(lat), 1);
near_inertial_undrouged_avg = zeros(length(lat), 1);
semi_undrouged_avg =zeros(length(lat), 1);
diurnal_undrouged_avg =zeros(length(lat), 1);

for i=1:length(lat)
    
    lowf_drouged_avg(i) = nanmean(lowf_drouged(i, :));
    near_inertial_drouged_avg(i) = nanmean(near_inertial_drouged(i, :));
    semi_drouged_avg(i) = nanmean(semi_drouged(i, :));
    diurnal_drouged_avg(i) = nanmean(diurnal_drouged(i, :));

    lowf_undrouged_avg(i) = nanmean(lowf_undrouged(i, :));
    near_inertial_undrouged_avg(i) = nanmean(near_inertial_undrouged(i, :));
    semi_undrouged_avg(i) = nanmean(semi_undrouged(i, :));
    diurnal_undrouged_avg(i) = nanmean(diurnal_undrouged(i, :));
    
end


save('../elipot_results/ke_drifters_avg.mat', 'lat', 'lon', 'lowf_drouged_avg', 'near_inertial_drouged_avg', 'semi_drouged_avg', 'diurnal_drouged_avg', 'lowf_undrouged_avg', 'near_inertial_undrouged_avg', 'semi_undrouged_avg', 'diurnal_undrouged_avg')
